package skrueger.swing;

import javax.swing.Action;
import javax.swing.BorderFactory;
import javax.swing.JButton;

public class SmallButton extends JButton {

	public SmallButton() {
		setBorder(BorderFactory.createEtchedBorder());
	}

	public SmallButton(Action action, String tooltip) {
		this(action);
		setToolTipText(tooltip);
	}
	

	public SmallButton(String label) {
		this();
		setText(label);
	}
	


	public SmallButton(String label, String toolTip) {
		this();
		setText(label);
		setToolTipText(toolTip);
	}	

	public SmallButton(Action action) {
		this();
		setAction(action);
	}

}
