package skrueger.swing;

import javax.swing.Action;
import javax.swing.BorderFactory;
import javax.swing.JToggleButton;

public class SmallToggleButton extends JToggleButton{
	
	public SmallToggleButton() {
		setBorder(BorderFactory.createEtchedBorder());
	}

	public SmallToggleButton(Action action, String tooltip) {
		this (action);
		if (tooltip != null)
			setToolTipText(tooltip);
	}

	public SmallToggleButton(Action action) {
		super(action);
		setBorder(BorderFactory.createEtchedBorder());
	}

}
